Bug 105615 - cannot change print format from envelope #10 to A4
Summary: cannot change print format from envelope #10 to A4
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2017-01-30 13:54 UTC by Bernd
Modified: 2019-01-28 09:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the drawing which I created (8.65 MB, application/vnd.oasis.opendocument.graphics)
2017-01-30 13:56 UTC, Bernd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd 2017-01-30 13:54:19 UTC
Description:
I created a drawing which is 52mm x 297mm and want to print it on A4 paper. However, draw choses to use #10 envelope, even if I try to change to A4 in the print settings.

Steps to Reproduce:
1. create drawing of size 52mm wide, 297mm high
2. print settings: paper size A4
3. ctrl + p: print size is 105mm wide and 241mm high and it cannot be changed

Actual Results:  
drawing is cut in height

Expected Results:
print full drawing on A4 paper


Reproducible: Always

User Profile Reset: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Bernd 2017-01-30 13:56:56 UTC
Created attachment 130767 [details]
the drawing which I created
Comment 2 Buovjaga 2017-02-06 07:50:05 UTC
Confirmed.

A4 is offered in 4.3.0.1 -> regression.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: c6dd735afb2e1b3837c4f8c5659f52fafab4c56f
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-30_01:52:54
Locale: fi-FI (fi_FI); Calc: group

Version: 4.4.5.2
Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Locale: fi_FI

4.3.0.1
Comment 3 raal 2017-04-09 18:30:44 UTC
This seems to have begun at the below commit.
Adding Cc: to Matúš Kukan  ; Could you possibly take a look at this one?
Thanks
 b6e22315bc1e639f204a22843b851efbb408d296 is the first bad commit
commit b6e22315bc1e639f204a22843b851efbb408d296
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sun Mar 15 01:24:59 2015 +0800

    source-hash-7b31e45ec7106d2cfbdbb7915d97667ba710f81c
    
    commit 7b31e45ec7106d2cfbdbb7915d97667ba710f81c
    Author:     Eilidh McAdam <eilidh@lanedo.com>
    AuthorDate: Mon Jun 23 20:55:21 2014 +0100
    Commit:     Matúš Kukan <matus.kukan@collabora.com>
    CommitDate: Tue Aug 19 03:34:34 2014 -0500
    
        Make Draw use paper size when printing - fdo#63905
    
        Previously, Draw/Impress use the default size from the printer.
        Now Draw uses the paper size (specified in page formatting).
        Impress still uses the old method - not sure if this is correct
        but printing handouts etc probably complicate print/paper size.
    
        Change-Id: If90bae4ac59cd95dd50fcd8deb25fd900756193e
        Reviewed-on: https://gerrit.libreoffice.org/9866
        Reviewed-by: Matúš Kukan <matus.kukan@collabora.com>
        Tested-by: Matúš Kukan <matus.kukan@collabora.com>
Comment 4 QA Administrators 2018-07-31 02:34:25 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2019-01-24 12:35:41 UTC
This is fixed by the work done by Daniel Silva on the new print dialog.
See -> https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=cb443d07d54d6698eff51b5be2c6b56323f10315..bc0146c2ae43256552c276d2dd86291c98556c42

Version: 6.3.0.0.alpha0+
Build ID: 0d46fb02f3f19d11db40b6c5335d78a3894502d7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Closing as RESOLVED FIXED
Comment 6 Xisco Faulí 2019-01-24 12:44:19 UTC
Unfortunately, the fix can't be backported. We will need to wait until LibreOffice 6.3 is released...
Comment 7 BogdanB 2019-01-28 09:21:55 UTC
Fixed on
Version: 6.3.0.0.alpha0+
Build ID: 9bc10964f0673b64e282ad567d08bf7ebba4df65
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-27_18:08:30
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded